
DROP TABLE IF EXISTS pracownicy;
CREATE TABLE pracownicy (
    id integer,
    imie text,
    nazwisko text,
    data_ur date,
    data_zatr date,
    dzial text,
    stanowisko text,
    prawo_jazdy bool,
    id_kier integer
);

INSERT INTO pracownicy (id, imie, nazwisko, data_ur, data_zatr, dzial, stanowisko, prawo_jazdy, id_kier)
    VALUES (1, 'Jan', 'Kowalski', '1977.08.15', '1999.01.12', 'zarząd', 'prezes', true, null);

INSERT INTO pracownicy (id, imie, nazwisko, data_ur, data_zatr, dzial, stanowisko, prawo_jazdy, id_kier)
    VALUES (2, 'Jan', 'Nowak', '1978.07.16', '1999.08.21', 'magazyn', 'kierownik', true, 1);

INSERT INTO pracownicy (id, imie, nazwisko, data_ur, data_zatr, dzial, stanowisko, prawo_jazdy, id_kier)
    VALUES (3, 'Piotr', 'Skarga', '1979.06.17', '2001.04.14', 'sklep', 'kierownik', false, 1);

INSERT INTO pracownicy (id, imie, nazwisko, data_ur, data_zatr, dzial, stanowisko, prawo_jazdy, id_kier)
    VALUES (4, 'Adam', 'Mickiewicz', '1985.05.18', '2002.03.21', 'magazyn', 'magazynier', true, 2);

INSERT INTO pracownicy (id, imie, nazwisko, data_ur, data_zatr, dzial, stanowisko, prawo_jazdy, id_kier)
    VALUES (5, 'Henryk', 'Sienkiewicz', '1986.04.19', '2003.05.25', 'magazyn', 'kierowca', null, 2);

INSERT INTO pracownicy (id, imie, nazwisko, data_ur, data_zatr, dzial, stanowisko, prawo_jazdy, id_kier)
    VALUES (6, 'Czesław', 'Miłosz', '1987.03.20', '2003.07.12', 'sklep', 'sprzedawca', null, 3);

INSERT INTO pracownicy (id, imie, nazwisko, data_ur, data_zatr, dzial, stanowisko, prawo_jazdy, id_kier)
    VALUES (7, 'Julian', 'Tuwim', '1989.02.21', '2005.08.13', 'sklep', 'kasjer', false, 3);

INSERT INTO pracownicy (id, imie, nazwisko, data_ur, data_zatr, dzial, stanowisko, prawo_jazdy, id_kier)
    VALUES (8, 'Jan', 'Kochanowski', '1993.01.22', '2012.03.02', 'sklep', 'asystent', false, 3);


DROP TABLE IF EXISTS place;
CREATE TABLE place (
    stanowisko text,
    stawka float
);

INSERT INTO place (stanowisko, stawka) VALUES ('prezes', 10);
INSERT INTO place (stanowisko, stawka) VALUES ('kierownik', 7.5);
INSERT INTO place (stanowisko, stawka) VALUES ('magazynier', 5.4);
INSERT INTO place (stanowisko, stawka) VALUES ('kierowca', 4.8);
INSERT INTO place (stanowisko, stawka) VALUES ('sprzedawca', 4.6);
INSERT INTO place (stanowisko, stawka) VALUES ('kasjer', 4.3);
INSERT INTO place (stanowisko, stawka) VALUES ('serwisant', 6.1);


DROP TABLE IF EXISTS faktury;
CREATE TABLE faktury (
    numer integer,
    rok integer,
    id_wyst integer,
    typ text,
    kwota numeric(6,2)
);

INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (1, 2020, 6, 'sprzedaż', 15.60);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (2, 2020, 6, 'sprzedaż', 123.40);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (3, 2020, 6, 'sprzedaż', 325.90);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (4, 2020, 6, 'sprzedaż', 325.80);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (5, 2020, 6, 'sprzedaż', 231.11);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (6, 2020, 6, 'sprzedaż', 429.21);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (7, 2020, 7, 'sprzedaż', 532.90);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (8, 2020, 7, 'sprzedaż', 11.34);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (9, 2020, 7, 'sprzedaż', 65.25);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (10, 2020, 7, 'sprzedaż', 54.32);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (11, 2020, 7, 'sprzedaż', 89.01);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (12, 2020, 8, 'sprzedaż', 32.65);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (13, 2020, 8, 'sprzedaż', 65.67);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (14, 2020, 8, 'sprzedaż', 432.12);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (15, 2020, 3, 'koszt', 876.34);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (16, 2020, 3, 'koszt', 435.65);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (17, 2020, 3, 'koszt', 135.78);
INSERT INTO faktury (numer, rok, id_wyst, typ, kwota) values (18, 2020, 3, 'koszt', 256.12);


DROP TABLE IF EXISTS faktury_arch;
CREATE TABLE faktury_arch (
    numer integer,
    rok integer,
    id_wyst integer,
    typ text,
    kwota numeric(6,2)
);

INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (1, 2020, 6, 'sprzedaż', 15.60);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (2, 2020, 6, 'sprzedaż', 123.40);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (3, 2020, 6, 'sprzedaż', 325.90);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (4, 2020, 6, 'sprzedaż', 325.80);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (5, 2020, 6, 'sprzedaż', 231.11);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (6, 2020, 6, 'sprzedaż', 429.21);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (7, 2020, 7, 'sprzedaż', 532.90);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (8, 2020, 7, 'sprzedaż', 11.34);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (9, 2020, 7, 'sprzedaż', 65.25);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (10, 2020, 7, 'sprzedaż', 54.32);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (11, 2020, 7, 'sprzedaż', 89.01);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (12, 2020, 8, 'sprzedaż', 32.65);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (13, 2020, 8, 'sprzedaż', 65.67);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (14, 2020, 8, 'sprzedaż', 432.12);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (15, 2020, 3, 'koszt', 876.34);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (16, 2020, 3, 'koszt', 435.65);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (17, 2020, 3, 'koszt', 135.78);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (18, 2020, 3, 'koszt', 256.12);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (1, 2019, 6, 'sprzedaż', 15.60);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (2, 2019, 6, 'sprzedaż', 123.40);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (3, 2019, 6, 'sprzedaż', 325.90);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (4, 2019, 6, 'sprzedaż', 325.80);
INSERT INTO faktury_arch (numer, rok, id_wyst, typ, kwota) values (5, 2019, 6, 'sprzedaż', 231.11);

